aboutsummaryrefslogtreecommitdiff
path: root/client/wolfssl/wolfcrypt/user-crypto/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'client/wolfssl/wolfcrypt/user-crypto/autogen.sh')
-rw-r--r--client/wolfssl/wolfcrypt/user-crypto/autogen.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/client/wolfssl/wolfcrypt/user-crypto/autogen.sh b/client/wolfssl/wolfcrypt/user-crypto/autogen.sh
new file mode 100644
index 0000000..89e475c
--- /dev/null
+++ b/client/wolfssl/wolfcrypt/user-crypto/autogen.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Create configure and makefile stuff...
+#
+
+# Git hooks should come before autoreconf.
+if test -d .git; then
+ if ! test -d .git/hooks; then
+ mkdir .git/hooks
+ fi
+ ln -s -f ../../pre-commit.sh .git/hooks/pre-commit
+ ln -s -f ../../pre-push.sh .git/hooks/pre-push
+fi
+
+# If this is a source checkout then call autoreconf with error as well
+if test -d .git; then
+ WARNINGS="all,error"
+else
+ WARNINGS="all"
+fi
+
+autoreconf --install --force --verbose
+